#!/bin/bash

set -o errexit

if [ -e "build" -o -e "vispaca.jar" ]; then
	if [ "$1" == "--force" ]; then
		if [ -e "build" ]; then
			rm -rf "build"
		fi
		if [ -e "vispaca.jar" ]; then
			rm -rf "vispaca.jar"
		fi

	else
		echo "Remove \"build\" and \"vispaca.jar\" or use --force to do so automatically."
		exit
	fi
fi

mkdir "build"
javac -verbose -d "build/" `find src -iname "*.java"`

mkdir "build/META-INF"
echo "Main-Class: vispaca.VisPaca" > "build/META-INF/MANIFEST.MF"

cd build
jar cfm "../vispaca.jar" "META-INF/MANIFEST.MF" `find -iname "*.class"`
chmod +x "../vispaca.jar"

