/*
 * Copyright (C) 2013  Joakim Soderlund
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package vispaca.gui;

import java.awt.BorderLayout;
import java.awt.Frame;

import javax.swing.JScrollPane;

import vispaca.data.DataManager;


/**
 * VPanel wrapper for VDataTable.
 */
public class VTablePanel extends VPanel {

	private static final long serialVersionUID = 193021349191845306L;

	private VDataTable vDataTable = new VDataTable();


	public VTablePanel(Frame frame, DataManager dataManager) {
		super(frame);

		setLayout(new BorderLayout());

		vDataTable.setDataManager(dataManager);

		add(new JScrollPane(vDataTable), BorderLayout.CENTER);
	}


	@Override
	public void destroyPerformed() {
		vDataTable.destroyPerformed();
	}
}
