/*
 * Copyright (C) 2013  Joakim Soderlund
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package vispaca.misc;

import static org.junit.Assert.assertEquals;

import org.junit.Test;


public class CoordinateMapperTest {

	CoordinateMapper regular = new CoordinateMapper(100, 1100, 10, 110);
	CoordinateMapper reverse = new CoordinateMapper(100, 1100, 110, 10);


	@Test
	public void testToPixel() {
		assertEquals(400, regular.toPixel(40), 1);
		assertEquals(400, reverse.toPixel(80), 1);
	}

	@Test
	public void testToValue() {
		assertEquals(40, regular.toValue(400), 1);
		assertEquals(80, reverse.toValue(400), 1);
	}
}
